	<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title>PDO: Create a Record</title>
 
	 <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
 
</head>
<body>

    <!-- container -->
    <div class="container">

        <div class="page-header mt-3">
            <h1>Create Product</h1>
        </div>

		<?php
		if($_POST){

			// include database connection
			include 'config/database.php';

			try{

				// insert query
				$query = "INSERT INTO products SET name=:name, description=:description, price=:price, created=:created";

				// prepare query for execution
				$stmt = $con->prepare($query);

				$name=htmlspecialchars(strip_tags($_POST['name']));
				$description=htmlspecialchars(strip_tags($_POST['description']));
				$price=htmlspecialchars(strip_tags($_POST['price']));

				// bind the parameters
				$stmt->bindParam(':name', $name);
				$stmt->bindParam(':description', $description);
				$stmt->bindParam(':price', $price);

				// specify when this record was inserted to the database
				$created=date('Y-m-d H:i:s');
				$stmt->bindParam(':created', $created);

				// Execute the query
				if($stmt->execute()){
					echo "<div class='alert alert-success' role='alert'>Record was saved.</div>";
				}else{
					echo "<div class='alert alert-danger' role='alert'>Unable to save record.</div>";
				}

			}

			// show error
			catch(PDOException $exception){
				die('ERROR: ' . $exception->getMessage());
			}
		}
		?>
		<form action='create.php' method='post'>
		<table class="table table-hover mt-3">
			<tr>
				<th width="20%">Name</th>
				<td width="80%"> <input type="text" id="name" name='name' class="form-control"></td>
			</tr>
			<tr>
				<th>Description</th>
				<td><textarea name='description' id='description' class='form-control'></textarea></td>
			</tr>
			<tr>
				<th>Price</th>
				<td><input type='text' id='price' name='price' class='form-control' /></td>
			</tr>
			<tr>
				<td colspan="2">
					<button type="submit" class="btn btn-primary float-right">Submit</button>
		  			<a href='index.php' class='btn btn-danger mr-3 float-right'>Back to read products</a>
				</td>
			</tr>
		</table>
		 
		</form>

	</div> <!-- end .container -->

<!-- javascript for bootstrap -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
</script>
 
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous">
</script>
 
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
</script>


</body>
</html>
