<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title>PDO: Read Records</title>
 
	 <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
 
</head>
<body>

    <!-- container -->
    <div class="container">
 
        <div class="page-header mt-3">
            <h1>Read Products</h1>
        </div>

		<?php
		// include database connection
		include 'config/database.php';

		$action = isset($_GET['action']) ? $_GET['action'] : "";

		// if it was redirected from delete.php
		if($action=='deleted'){
			echo "<div class='alert alert-success' role='alert'>Record was deleted.</div>";
		}

		// select all data
		$query = "SELECT id, name, description, price FROM products ORDER BY id DESC";
		$stmt = $con->prepare($query);
		$stmt->execute();

		// this is how to get number of rows returned
		$num = $stmt->rowCount();

		// link to create record form
		echo "<a href='create.php' class='btn btn-primary mb-3 float-right'>Create New Product</a>";

		//check if more than 0 record found
		if($num>0){

			echo "<table class='table table-hover mt-3'>";//start table
			
				//creating our table heading
				echo "<tr>";
					echo "<th>ID</th>";
					echo "<th>Name</th>";
					echo "<th>Description</th>";
					echo "<th>Price</th>";
					echo "<th>Action</th>";
				echo "</tr>";
				
				// retrieve our table contents
				// fetch() is faster than fetchAll()
				// http://stackoverflow.com/questions/2770630/pdofetchall-vs-pdofetch-in-a-loop
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
					// extract row
					// this will make $row['firstname'] to
					// just $firstname only
					extract($row);
					
					// creating new table row per record
					echo "<tr>";
						echo "<td>{$id}</td>";
						echo "<td>{$name}</td>";
						echo "<td>{$description}</td>";
						echo "<td>&#36;{$price}</td>";
						echo "<td>";
							// read one record 
							echo "<a href='read_one.php?id={$id}' class='btn btn-info'>Read</a> ";
							
							// we will use this links on next part of this post
							echo "<a href='update.php?id={$id}' class='btn btn-primary'>Edit</a> ";

							// we will use this links on next part of this post
							echo "<a href='#' onclick='delete_user({$id});'  class='btn btn-danger'>Delete</a>";
						echo "</td>";
					echo "</tr>";
				}
			
			// end table
			echo "</table>";
			
		}

		// if no records found
		else{
			echo "<div>No records found.</div>";
		}
		?>

	</div> <!-- end .container -->
	
<!-- javascript for bootstrap -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
</script>
 
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous">
</script>
 
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
</script>

<script type='text/javascript'>
function delete_user( id ){
	
	var answer = confirm('Are you sure?');
	if (answer){
		// if user clicked ok, 
		// pass the id to delete.php and execute the delete query
		window.location = 'delete.php?id=' + id;
	} 
}
</script>

</body>
</html>